package com.webchat.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @Author 程序员七七
 * @webSite https://www.coderutil.com
 * @Date 2024/1/17 00:05
 * @description
 */
@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum PromptTemplateEnum {

    ROBOT_CHAT("/ftl/ROBOT_CHAT.ftl", "机器人对话"),

    ROBOT_FC("/ftl/ROBOT_FC.ftl", "大模型意图识别"),

    RAG("/ftl/RAG.ftl", "公众号文章RAG问答"),
    ;

    private String path;
    private String desc;
}
